#!/usr/bin/env python3

from pathlib import Path
from jinja2 import Environment

STYLESHEET_NAME = "dragonglass.css"
STYLESHEET_DATA = """/* Dragonglass default CSS file - ensure all generated HTML pages reference this */
a {
    color: #8a5cf5;     
}
.invalid-reference {
    color: #ad8df8;
    text-decoration: underline;
    text-decoration-color: #e6ddfd;
}
ins {
    background-color: #ffec99;
    text-decoration: none;
}
"""


def write_default_stylesheet(tenv: Environment, dest_dir: Path) -> None:
    to_file = dest_dir / STYLESHEET_NAME
    tmpl = tenv.from_string(STYLESHEET_DATA)
    data = tmpl.render({})
    with to_file.open("wt") as f:
        f.write(data)
